Summary: A GNU emacs major mode for editing SGML documents.
name: psgml
%define version 1.0.3
%define release 6
version: %{version}
release: %{release}
requires: sgml-common, emacs
vendor: Cygnus Solutions
Distribution: Cygnus UNSUPPORTED Internal SGML Tools
copyright: Copyright (C) 1996 Karl Eichwalder, GPL
Source: ftp://ftp.lysator.liu.se/pub/sgml/psgml-%{version}.tar.gz
# patch: psgml.patch
Group: Applications/Editors
BuildRoot: /var/tmp/psgmlroot
BuildArch: noarch
%define sgmlbase /usr

%description
Emacs is an advanced and extensible editor. An emacs major mode
customizes emacs for editing particular types of text documents. PSGML
is a major mode for SGML documents.  PSGML provides several
functionalities for editing SGML documents: indentation according to
element nesting depth and identification of structural errors (but it
is not a validating SGML parser); menus and commands for inserting
tags with only the contextually valid tags; attribute values can be
edited in a separate window with information about types and defaults;
structure based editing includes movement and killing; and also
several commands for folding editing.

%prep
%setup 

%build
# make sure we "find" etags in the installed place...
PATH=/usr/bin:$PATH ./configure
make infodir=/usr/info psgmldir=/usr/share/emacs/site-lisp/psgml
cat > psgml-init.el << __ELISP__
(setq load-path (append load-path '("/usr/share/emacs/site-lisp/psgml")))

(autoload 'sgml-mode "psgml" "Major mode for editing SGML." t)
(if (not (getenv "SGML_CATALOG_FILES"))
   (defvar sgml-catalog-files '("CATALOG" "%{sgmlbase}/lib/sgml/CATALOG"))
  "*List of catalog entry files.
The files are in the format defined in the SGML Open Draft Technical
Resolution on Entity Management.")
(put 'sgml-catalog-files 'sgml-type 'list)

__ELISP__


%install
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/psgml
mkdir -p $RPM_BUILD_ROOT/usr/info
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/cdtd
touch $RPM_BUILD_ROOT/usr/info/dir
PATH=/usr/bin:/bin make install infodir=$RPM_BUILD_ROOT/usr/info psgmldir=$RPM_BUILD_ROOT/usr/share/emacs/site-lisp/psgml
rm $RPM_BUILD_ROOT/usr/info/dir
cp psgml-init.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/

%post
install-info --info-dir=/usr/info /usr/info/psgml.info
install-info --info-dir=/usr/info /usr/info/psgml-api.info
SS=/usr/share/emacs/site-lisp/site-start.el
# must version the load since the old postun runs *after* the new post...
V=%{version}-%{release}
if grep -q psgml-auto-setup-$V $SS 2>/dev/null
then
  :
  #echo "psgml already in $SS"
else
  #echo "adding psgml hook to $SS"
  echo '(load "psgml-init") ;; psgml-auto-setup-'"$V" >> $SS
fi

%postun
SS=/usr/share/emacs/site-lisp/site-start.el
V=%{version}-%{release}
if [ "$1" = 0 ] ; then
  install-info --info-dir=/usr/info --delete /usr/info/psgml.info
  install-info --info-dir=/usr/info --delete /usr/info/psgml-api.info
  if grep -q psgml-auto-setup-1 $SS 2>/dev/null
  then
    #echo "clearing psgml-init reference from $SS"
    grep -v psgml-auto-setup-1 $SS > $SS.new 2>/dev/null
    mv $SS.new $SS
  fi
fi
if grep -q psgml-auto-setup-$V $SS
then
  #echo "clearing psgml-init reference from $SS"
  grep -v psgml-auto-setup-$V $SS > $SS.new 2>/dev/null
  mv $SS.new $SS
fi

%files
%defattr(-,root,root)
%doc psgml.ps README.psgml
/usr/share/emacs/site-lisp/psgml/*
/usr/share/emacs/site-lisp/psgml-init.el
/usr/info/psgml*
%{sgmlbase}/lib/sgml/cdtd

%changelog
* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group
- changed buildroot toe be in /var/tmp
- added %defattr

* Tue Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Fri Apr 23 1999 Michael K. Johnson <johnsonm@redhat.com>
- PATH hack to protect "make install" from install-info
- %doc path fixed
- protect postun from uninstall
- Moved $V outside of '' so that it gets interpolated

* Thu Apr 22 1999 Owen Taylor <otaylor@redhat.com>
- Upgrade to psgml-1.0.3
- Made noarch

